services:
  _defaults:
    autowire: true
    autoconfigure: true

  # /attributes_hidden
  XLite\API\Endpoint\Attribute\Hidden\Transformer\OutputTransformerInterface: '@XLite\API\Endpoint\Attribute\Hidden\Transformer\OutputTransformer'
  XLite\API\Endpoint\Attribute\Hidden\Transformer\OutputTransformer: ~
  XLite\API\Endpoint\Attribute\Hidden\Transformer\InputTransformerInterface: '@XLite\API\Endpoint\Attribute\Hidden\Transformer\InputTransformer'
  XLite\API\Endpoint\Attribute\Hidden\Transformer\InputTransformer: ~

  xcart.api.attribute.hidden.controller:
    class: XLite\Controller\API\Attribute\Post
    arguments:
      $type: !php/const XLite\Model\Attribute::TYPE_HIDDEN
    tags: ['controller.service_arguments']

  xcart.api.attribute.hidden.global_sub_extension:
    class: XLite\API\SubExtension\Attribute\GlobalAttributeSubExtension
    arguments:
      $attributeType: !php/const XLite\Model\Attribute::TYPE_HIDDEN
      $operationNames: ['get_hidden', 'post_hidden', 'put_hidden', 'delete_hidden', 'get_hiddens']
    tags: [!php/const XLite\API\Extension\ItemSubExtension\ItemSubExtensionInterface::ITEM_SUB_EXTENSION_TAG, !php/const XLite\API\Extension\CollectionSubExtension\CollectionSubExtensionInterface::COLLECTION_SUB_EXTENSION_TAG]
